Debian Bug report logs - #429688
ITP: libpushmi-perl -- Subversion repository replication tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: David Bremner <bremner@unb.ca>

Date: Tue, 19 Jun 2007 14:00:02 UTC

Owned by: david bremner <bremner@unb.ca>

Severity: wishlist

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, david bremner <bremner@unb.ca>:
Bug#429688; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner@unb.ca>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, david bremner <bremner@unb.ca>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@unb.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libpushmi-perl -- Subversion repository replication tool
Date: Tue, 19 Jun 2007 10:57:24 -0300
Package: wnpp
Severity: wishlist
Owner: David Bremner <bremner@unb.ca>


* Package name    : libpushmi-perl
  Version         : 0.994.0
  Upstream Author : bradfitz <brad@danga.com>
* URL             : http://code.bestpractical.com/project/Pushmi
* License         : Apache 2.0
  Programming Lang: Perl
  Description     : Subversion repository replication tool

Pushmi provides a mechanism for bidirectionally synchronizing
 Subversion repositories. The main difference between Pushmi and other
 replication tools is that Pushmi makes the "slave" repositories
 writable by normal Subversion clients.

Discussion: 

Depends: libversion-perl, librunapp-perl, libsvn-core-perl, svk (>= 2.0.0), libapp-cli-perl (>= 
0.06), libyaml-syck-perl, liblog-log4perl-perl, memcached

This would need Runapp.pm, locally packages as librunapp-perl. I will submit a seperate ITP for 
that, all going as planned.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, david bremner <bremner@unb.ca>:
Bug#429688; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Bremner <bremner-dated-1194962460.def35a@pivot.cs.unb.ca>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, david bremner <bremner@unb.ca>. Full text and rfc822 format available.

Message #10 received at 429688@bugs.debian.org (full text, mbox):

From: David Bremner <bremner@unb.ca>
To: 429688@bugs.debian.org
Subject: update on pushmi ITP
Date: Tue, 30 Oct 2007 15:00:50 +0100
Pushmi depends on memcached to deal with locking of the
repository.  I'm not really comfortable with the lack of security (in
this application) of the current debian version of memcached;
essentially anyone on the same host has access to the daemon.
Probably it is difficult to do much worse than a denial of service
attach, but better to be cautious.  The next upstream release of
memcached (1.2.4?) should include better support for unix domain
sockets, at which point I plan to move forward with the packaging of
pushmi.

The patch to memcached, along with some startup changes, can be found
in BTS

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=446606







Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. (Sat, 01 Nov 2008 18:00:06 GMT) Full text and rfc822 format available.

Notification sent to David Bremner <bremner@unb.ca>:
Bug acknowledged by developer. (Sat, 01 Nov 2008 18:00:06 GMT) Full text and rfc822 format available.

Message #15 received at 429688-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 429688-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sat, 01 Nov 2008 11:59:30 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 429688
 stop

Further comments on the work done in the bug sent to
429688@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 08:36:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:38:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.